summaryrefslogtreecommitdiff
path: root/dev-python/cryptography
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/cryptography')
-rw-r--r--dev-python/cryptography/cryptography-3.2.1.ebuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/dev-python/cryptography/cryptography-3.2.1.ebuild b/dev-python/cryptography/cryptography-3.2.1.ebuild
index 489572eea369..6e9e4330b8a2 100644
--- a/dev-python/cryptography/cryptography-3.2.1.ebuild
+++ b/dev-python/cryptography/cryptography-3.2.1.ebuild
@@ -50,13 +50,13 @@ src_prepare() {
default
# work around availability macros not supported in GCC (yet)
- if [[ ${CHOST} == *-darwin ]] ; then
+ if [[ ${CHOST} == *-darwin* ]] ; then
local darwinok=0
if [[ ${CHOST##*-darwin} -ge 16 ]] ; then
darwinok=1
fi
sed -i -e 's/__builtin_available(macOS 10\.12, \*)/'"${darwinok}"'/' \
- src/_cffi_src/openssl/src/osrandom_engine.c
+ src/_cffi_src/openssl/src/osrandom_engine.c || die
fi
}